// Code generated by protoc-gen-deepcopy. DO NOT EDIT.

package assignment

import (
	proto "google.golang.org/protobuf/proto"
)

// DeepCopyInto supports using Resource within kubernetes types, where deepcopy-gen is used.
func (in *Resource) DeepCopyInto(out *Resource) {
	p := proto.Clone(in).(*Resource)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Resource. Required by controller-gen.
func (in *Resource) DeepCopy() *Resource {
	if in == nil {
		return nil
	}
	out := new(Resource)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Resource. Required by controller-gen.
func (in *Resource) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Node within kubernetes types, where deepcopy-gen is used.
func (in *Node) DeepCopyInto(out *Node) {
	p := proto.Clone(in).(*Node)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Node. Required by controller-gen.
func (in *Node) DeepCopy() *Node {
	if in == nil {
		return nil
	}
	out := new(Node)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Node. Required by controller-gen.
func (in *Node) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Medium within kubernetes types, where deepcopy-gen is used.
func (in *Medium) DeepCopyInto(out *Medium) {
	p := proto.Clone(in).(*Medium)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Medium. Required by controller-gen.
func (in *Medium) DeepCopy() *Medium {
	if in == nil {
		return nil
	}
	out := new(Medium)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Medium. Required by controller-gen.
func (in *Medium) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Network within kubernetes types, where deepcopy-gen is used.
func (in *Network) DeepCopyInto(out *Network) {
	p := proto.Clone(in).(*Network)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Network. Required by controller-gen.
func (in *Network) DeepCopy() *Network {
	if in == nil {
		return nil
	}
	out := new(Network)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Network. Required by controller-gen.
func (in *Network) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Infrastructure within kubernetes types, where deepcopy-gen is used.
func (in *Infrastructure) DeepCopyInto(out *Infrastructure) {
	p := proto.Clone(in).(*Infrastructure)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Infrastructure. Required by controller-gen.
func (in *Infrastructure) DeepCopy() *Infrastructure {
	if in == nil {
		return nil
	}
	out := new(Infrastructure)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Infrastructure. Required by controller-gen.
func (in *Infrastructure) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Workload within kubernetes types, where deepcopy-gen is used.
func (in *Workload) DeepCopyInto(out *Workload) {
	p := proto.Clone(in).(*Workload)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Workload. Required by controller-gen.
func (in *Workload) DeepCopy() *Workload {
	if in == nil {
		return nil
	}
	out := new(Workload)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Workload. Required by controller-gen.
func (in *Workload) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Application within kubernetes types, where deepcopy-gen is used.
func (in *Application) DeepCopyInto(out *Application) {
	p := proto.Clone(in).(*Application)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Application. Required by controller-gen.
func (in *Application) DeepCopy() *Application {
	if in == nil {
		return nil
	}
	out := new(Application)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Application. Required by controller-gen.
func (in *Application) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Channel within kubernetes types, where deepcopy-gen is used.
func (in *Channel) DeepCopyInto(out *Channel) {
	p := proto.Clone(in).(*Channel)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Channel. Required by controller-gen.
func (in *Channel) DeepCopy() *Channel {
	if in == nil {
		return nil
	}
	out := new(Channel)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Channel. Required by controller-gen.
func (in *Channel) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using ApplicationGroup within kubernetes types, where deepcopy-gen is used.
func (in *ApplicationGroup) DeepCopyInto(out *ApplicationGroup) {
	p := proto.Clone(in).(*ApplicationGroup)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ApplicationGroup. Required by controller-gen.
func (in *ApplicationGroup) DeepCopy() *ApplicationGroup {
	if in == nil {
		return nil
	}
	out := new(ApplicationGroup)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new ApplicationGroup. Required by controller-gen.
func (in *ApplicationGroup) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Cost within kubernetes types, where deepcopy-gen is used.
func (in *Cost) DeepCopyInto(out *Cost) {
	p := proto.Clone(in).(*Cost)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Cost. Required by controller-gen.
func (in *Cost) DeepCopy() *Cost {
	if in == nil {
		return nil
	}
	out := new(Cost)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Cost. Required by controller-gen.
func (in *Cost) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Model within kubernetes types, where deepcopy-gen is used.
func (in *Model) DeepCopyInto(out *Model) {
	p := proto.Clone(in).(*Model)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Model. Required by controller-gen.
func (in *Model) DeepCopy() *Model {
	if in == nil {
		return nil
	}
	out := new(Model)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Model. Required by controller-gen.
func (in *Model) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Assignment within kubernetes types, where deepcopy-gen is used.
func (in *Assignment) DeepCopyInto(out *Assignment) {
	p := proto.Clone(in).(*Assignment)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Assignment. Required by controller-gen.
func (in *Assignment) DeepCopy() *Assignment {
	if in == nil {
		return nil
	}
	out := new(Assignment)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Assignment. Required by controller-gen.
func (in *Assignment) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Recommendation within kubernetes types, where deepcopy-gen is used.
func (in *Recommendation) DeepCopyInto(out *Recommendation) {
	p := proto.Clone(in).(*Recommendation)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Recommendation. Required by controller-gen.
func (in *Recommendation) DeepCopy() *Recommendation {
	if in == nil {
		return nil
	}
	out := new(Recommendation)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Recommendation. Required by controller-gen.
func (in *Recommendation) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Request within kubernetes types, where deepcopy-gen is used.
func (in *Request) DeepCopyInto(out *Request) {
	p := proto.Clone(in).(*Request)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Request. Required by controller-gen.
func (in *Request) DeepCopy() *Request {
	if in == nil {
		return nil
	}
	out := new(Request)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Request. Required by controller-gen.
func (in *Request) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}

// DeepCopyInto supports using Reply within kubernetes types, where deepcopy-gen is used.
func (in *Reply) DeepCopyInto(out *Reply) {
	p := proto.Clone(in).(*Reply)
	*out = *p
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new Reply. Required by controller-gen.
func (in *Reply) DeepCopy() *Reply {
	if in == nil {
		return nil
	}
	out := new(Reply)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInterface is an autogenerated deepcopy function, copying the receiver, creating a new Reply. Required by controller-gen.
func (in *Reply) DeepCopyInterface() interface{} {
	return in.DeepCopy()
}
